cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.ManpageFlags

# Documentation

data ManpageFlags #

Constructors

ManpageFlags |

Fields

- manpageVerbosity :: Flag Verbosity
- manpageRaw :: Flag Bool

#### Instances

Instances details

Monoid ManpageFlags # |
Instance details Defined in Distribution.Client.ManpageFlags Methods mempty :: ManpageFlags # mappend :: ManpageFlags -> ManpageFlags -> ManpageFlags # mconcat :: [ManpageFlags] -> ManpageFlags #
Semigroup ManpageFlags # |
Instance details Defined in Distribution.Client.ManpageFlags Methods (<>) :: ManpageFlags -> ManpageFlags -> ManpageFlags # sconcat :: NonEmpty ManpageFlags -> ManpageFlags # stimes :: Integral b => b -> ManpageFlags -> ManpageFlags #
Generic ManpageFlags # |

Instance details

Defined in Distribution.Client.ManpageFlags

Associated Types

type Rep ManpageFlags |

Instance details

Defined in Distribution.Client.ManpageFlags

type Rep ManpageFlags = D1 ('MetaData "ManpageFlags" "Distribution.Client.ManpageFlags" "cabal-install-3.12.1.0-G554PkJj2SpDqyarXp9tbt" 'False) (C1 ('MetaCons "ManpageFlags" 'PrefixI 'True) (S1 ('MetaSel ('Just "manpageVerbosity") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Flag Verbosity)) :*: S1 ('MetaSel ('Just "manpageRaw") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Flag Bool))))

Methods

from :: ManpageFlags -> Rep ManpageFlags x #

to :: Rep ManpageFlags x -> ManpageFlags #

Show ManpageFlags # |
Instance details Defined in Distribution.Client.ManpageFlags Methods showsPrec :: Int -> ManpageFlags -> ShowS # show :: ManpageFlags -> String # showList :: [ManpageFlags] -> ShowS #
Eq ManpageFlags # |
Instance details Defined in Distribution.Client.ManpageFlags Methods (==) :: ManpageFlags -> ManpageFlags -> Bool # (/=) :: ManpageFlags -> ManpageFlags -> Bool #
type Rep ManpageFlags # |

Instance details

Defined in Distribution.Client.ManpageFlags

type Rep ManpageFlags = D1 ('MetaData "ManpageFlags" "Distribution.Client.ManpageFlags" "cabal-install-3.12.1.0-G554PkJj2SpDqyarXp9tbt" 'False) (C1 ('MetaCons "ManpageFlags" 'PrefixI 'True) (S1 ('MetaSel ('Just "manpageVerbosity") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Flag Verbosity)) :*: S1 ('MetaSel ('Just "manpageRaw") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Flag Bool))))

defaultManpageFlags :: ManpageFlags #

manpageOptions :: ShowOrParseArgs -> [OptionField ManpageFlags] #